## xb-query-context xb-query-context |

## Functions

#define | XB_QUERY_CONTEXT_INIT
void | xb_query_context_init ()
void | xb_query_context_clear ()
XbQueryContext * | xb_query_context_copy ()
void | xb_query_context_free ()
XbValueBindings * | xb_query_context_get_bindings ()
guint | xb_query_context_get_limit ()
void | xb_query_context_set_limit ()
XbQueryFlags | xb_query_context_get_flags ()
void | xb_query_context_set_flags ()

## Types and Values

| XbQueryContext

## Description

## Functions

### XB_QUERY_CONTEXT_INIT

    #define XB_QUERY_CONTEXT_INIT() { 0, 0, XB_VALUE_BINDINGS_INIT (), { NULL, NULL, NULL, NULL, NULL } }

Static initialiser for XbQueryContext so it can be used on the stack.

Use it in association with `g_auto()`, to ensure the bindings are freed once finished with:

    1
    2
    3
    g_auto(XbQueryContext) context = XB_QUERY_CONTEXT_INIT ();

    xb_query_context_set_limit (&context, 0);

Since: 0.3.0

### xb_query_context_init ()

    void
    xb_query_context_init (XbQueryContext *self);

### xb_query_context_clear ()

    void
    xb_query_context_clear (XbQueryContext *self);

### xb_query_context_copy ()

    XbQueryContext *
    xb_query_context_copy (XbQueryContext *self);

### xb_query_context_free ()

    void
    xb_query_context_free (XbQueryContext *self);

### xb_query_context_get_bindings ()

    XbValueBindings *
    xb_query_context_get_bindings (XbQueryContext *self);

### xb_query_context_get_limit ()

    guint
    xb_query_context_get_limit (XbQueryContext *self);

### xb_query_context_set_limit ()

    void
    xb_query_context_set_limit (XbQueryContext *self,
                                guint limit);

### xb_query_context_get_flags ()

    XbQueryFlags
    xb_query_context_get_flags (XbQueryContext *self);

### xb_query_context_set_flags ()

    void
    xb_query_context_set_flags (XbQueryContext *self,
                                XbQueryFlags flags);

## Types and Values

### XbQueryContext

    typedef struct {
    } XbQueryContext;

An opaque struct which contains context for executing a query in, such as the number of results to return, or values to bind to query placeholders.

Since: 0.3.0